Bug 982340 - Windows leave traces on wallpaper
Windows leave traces on wallpaper
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 14:15 EDT by ojab
Modified: 2015-02-18 08:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:59:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (125.24 KB, image/png)
2013-07-08 14:15 EDT, ojab
no flags Details

  None (edit)
Description ojab 2013-07-08 14:15:16 EDT
Created attachment 770606 [details]
Screenshot

Description of problem:
Most likely dwm isn't correct pkg, but I don't know what to choose.
In F19 windows leaves traces on wallpaper (see the attaches screenshot) and not only for me (googled http://imgur.com/r/Fedora/SfPneUT for example).
There is no traces on background after `xsetroot -solid black`.

Version-Release number of selected component (if applicable):
Name        : dwm
Arch        : x86_64
Version     : 6.0
Release     : 5.fc19


How reproducible:
Always

Steps to Reproduce:
1. yum install dwm
2. Login to dwm session 
3. Open window
4. Move window

Actual results:
Distorted wallpaper

Expected results:


Additional info:
No traces on wallpaper.
Comment 1 Petr Šabata 2013-07-09 03:34:43 EDT
Weird.  Is this new behaviour compared to f18?
Could you also state what video driver you use and how you set your wallpaper?
Comment 2 Petr Šabata 2013-07-09 04:05:06 EDT
Note: I can't reproduce this with dwm-6.0-5.fc19.x86_64 on Intel (xorg-x11-drv-intel-2.21.8-1.fc19.x86_64).
Comment 3 ojab 2013-07-09 06:31:39 EDT
Aha, reproducible only with SNA enabled, no issues using UXA.
Sorry that I haven't mentioned that I'm using SNA at first, thought that SNA has been default for a while.

I don't know if SNA is supported in F19, feel free to close the bug as WONTFIX.
Comment 4 Chris Wilson 2013-07-10 15:21:03 EDT
The bug is also present with UXA, and has existed for a few years - so I presume a more recent change in dwm configuration was enough to uncover the issue.

The cause is the fbcon preservation hack leaves the root->backgroundState as None (see InitRootWindow()). dwm (and uncomposited metactiy for that matter) do not set a background by default, and so the expose events, caused by window motion and unmapping, upon the root window as handled by miPaintWindow() are no-ops. Once a background has been set, either a solid color or a Pixmap, everything behaves as expected.

I believe the only reasonable way to workaround this is for gdm to set its final presentation buffer as the background pixmap on the root window (XChangeWindowAttrbiutes).
Comment 5 Petr Šabata 2013-07-31 03:24:24 EDT
Our system dwm build hasn't changed in a while so if there were any changes, it must have been caused by ojab's patches.

(In reply to Chris Wilson from comment #4)
> Once a background has been set, either a solid
> color or a Pixmap, everything behaves as expected.

Does it matter what tool sets it?  ojab obviously uses a wallpaper; something had to set it somehow.
Comment 6 Chris Wilson 2013-07-31 03:52:28 EDT
It doesn't matter, who sets the background property on the root window - it is a global property and persists beyond the lifetime of the client who sets it.
Comment 7 Fedora End Of Life 2015-01-09 17:11:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:59:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.